package domain


type AlibabaNewretailPurchasePriceDeleteDeletePurchasePriceRequest struct {
    /*
        请求幂等ID     */
    OutId  *string `json:"out_id,omitempty" `

    /*
        商品skucode     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        门店ID     */
    OuCode  *string `json:"ou_code,omitempty" `

    /*
        渠道     */
    ChannelCodes  *string `json:"channel_codes,omitempty" `

}

func (s *AlibabaNewretailPurchasePriceDeleteDeletePurchasePriceRequest) SetOutId(v string) *AlibabaNewretailPurchasePriceDeleteDeletePurchasePriceRequest {
    s.OutId = &v
    return s
}
func (s *AlibabaNewretailPurchasePriceDeleteDeletePurchasePriceRequest) SetSkuCode(v string) *AlibabaNewretailPurchasePriceDeleteDeletePurchasePriceRequest {
    s.SkuCode = &v
    return s
}
func (s *AlibabaNewretailPurchasePriceDeleteDeletePurchasePriceRequest) SetOuCode(v string) *AlibabaNewretailPurchasePriceDeleteDeletePurchasePriceRequest {
    s.OuCode = &v
    return s
}
func (s *AlibabaNewretailPurchasePriceDeleteDeletePurchasePriceRequest) SetChannelCodes(v string) *AlibabaNewretailPurchasePriceDeleteDeletePurchasePriceRequest {
    s.ChannelCodes = &v
    return s
}
